### Function

# FwupdPlugin SecurityAttr add_bios_target_value

since: 1.8.4

#### Declaration [src]

    void
    fu_security_attr_add_bios_target_value (
      FwupdSecurityAttr* attr,
      const gchar* id,
      const gchar* needle
    )

#### Description [src]

Checks all configured possible values of an enumeration attribute and if any match `needle` then set as the target value.

Available since: 1.8.4

#### Parameters

`attr`

  Type: `FwupdSecurityAttr`

  A `FwupdSecurityAttr`.

  The data is owned by the caller of the function.

`id`

  Type: `const gchar*`

  A `FwupdBiosSetting` ID or name.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`needle`

  Type: `const gchar*`

  The substring of a target value.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.